> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Prior Authorization Record

> Update an existing prior authorization record in Glidian.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml put /api/v2/integrations/glidian/{slug}/prior-authorizations/{recordId}
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/integrations/glidian/{slug}/prior-authorizations/{recordId}:
    put:
      tags:
        - Integration - Glidian
      summary: Update Prior Authorization Record
      description: Update an existing prior authorization record in Glidian.
      parameters:
        - schema:
            type: string
          in: path
          name: slug
          required: true
        - schema:
            type: string
          in: path
          name: recordId
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                referenceNumber:
                  type: string
                referenceNumberTwo:
                  type: string
                submissionRequirements:
                  type: object
                  additionalProperties:
                    type: string
              additionalProperties: false
      responses:
        '200':
          description: Prior authorization record update result.
          content:
            application/json:
              schema:
                type: object
                properties:
                  record: {}
                  status:
                    type: string
                    enum:
                      - updated
                required:
                  - status
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Record or connection not found.
                required:
                  - error
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Internal server error.
                required:
                  - error
                additionalProperties: false

````